org.wildfly.swarm.config.messaging.activemq.server

## Class SharedStoreMasterHAPolicy<T extends SharedStoreMasterHAPolicy<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.messaging.activemq.server.SharedStoreMasterHAPolicy<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class SharedStoreMasterHAPolicy<T extends SharedStoreMasterHAPolicy<T>>
      extends HashMap

  A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SharedStoreMasterHAPolicy()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Boolean` | `failoverOnServerShutdown()` Whether the server must failover when it is normally shutdown.
    `T` | `failoverOnServerShutdown(Boolean value)` Whether the server must failover when it is normally shutdown.
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### SharedStoreMasterHAPolicy

          public SharedStoreMasterHAPolicy()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### failoverOnServerShutdown

          public Boolean failoverOnServerShutdown()

      Whether the server must failover when it is normally shutdown.

    - #### failoverOnServerShutdown

          public T failoverOnServerShutdown(Boolean value)

      Whether the server must failover when it is normally shutdown.

Copyright © 2018 JBoss by Red Hat. All rights reserved.